broadcast

## Class BroadcastSiGMLDefs

- java.lang.Object
- - broadcast.BroadcastSiGMLDefs

-     public class BroadcastSiGMLDefs
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ABS_ZERO_MILLIS`
    `static int` | `MAX_BYTES_PER_MS`
    `static int` | `PACKET_MAX`
    `static long` | `RCV_LEAD_FRAMES`
    `static long` | `RCV_LEAD_MILLIS`
    `static long` | `RCV_LEAD_TICKS`
    `static int` | `RCV_PORT`
    `static int` | `SEND_PORT`
    `static int` | `SEQ_NO_LIMIT`
    `static int` | `SEQ_NO_SIZE`
    `static java.lang.String[]` | `STARTER_SEGMENT`
    `static java.lang.String[]` | `TERMINATOR_SEGMENT`
    `static long` | `TICK_MILLIS`
    `static long` | `TICKS_PER_FRAME`
    `static long` | `TICKS_PER_SEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastSiGMLDefs()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `B_SIGML_RCV_PORT(int pbase)`
    `static int` | `B_SIGML_SEND_PORT(int pbase)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STARTER_SEGMENT

          public static final java.lang.String[] STARTER_SEGMENT

    - #### TERMINATOR_SEGMENT

          public static final java.lang.String[] TERMINATOR_SEGMENT

    - #### SEQ_NO_LIMIT

          public static final int SEQ_NO_LIMIT

      See Also:
        Constant Field Values

    - #### SEQ_NO_SIZE

          public static final int SEQ_NO_SIZE

      See Also:
        Constant Field Values

    - #### PACKET_MAX

          public static final int PACKET_MAX

      See Also:
        Constant Field Values

    - #### MAX_BYTES_PER_MS

          public static final int MAX_BYTES_PER_MS

      See Also:
        Constant Field Values

    - #### SEND_PORT

          public static final int SEND_PORT

    - #### RCV_PORT

          public static final int RCV_PORT

    - #### TICK_MILLIS

          public static final long TICK_MILLIS

      See Also:
        Constant Field Values

    - #### TICKS_PER_SEC

          public static final long TICKS_PER_SEC

      See Also:
        Constant Field Values

    - #### TICKS_PER_FRAME

          public static final long TICKS_PER_FRAME

      See Also:
        Constant Field Values

    - #### ABS_ZERO_MILLIS

          public static final long ABS_ZERO_MILLIS

      See Also:
        Constant Field Values

    - #### RCV_LEAD_FRAMES

          public static final long RCV_LEAD_FRAMES

      See Also:
        Constant Field Values

    - #### RCV_LEAD_TICKS

          public static final long RCV_LEAD_TICKS

      See Also:
        Constant Field Values

    - #### RCV_LEAD_MILLIS

          public static final long RCV_LEAD_MILLIS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BroadcastSiGMLDefs

          public BroadcastSiGMLDefs()

  - ### Method Detail

    - #### B_SIGML_SEND_PORT

          public static final int B_SIGML_SEND_PORT(int pbase)

    - #### B_SIGML_RCV_PORT

          public static final int B_SIGML_RCV_PORT(int pbase)